#!python
import os

os.chdir(os.path.dirname(project.Path))

ADDITIONAL_INCLUDES = []

# set relative path from top proj
proj_rel_dir = ""

# call definition file
execfile("./def.py")

# path
src_abs_path = os.path.abspath(SRCDIR)

# call common file
execfile(src_abs_path + "/arch/cx/common.py")

#
# Update atk2-sc1.mtpj
#
inputstr = ReadFile('atk2-sc1.mtpj')
inputstr = SetTargetFileRelativePath(inputstr, app_files, SRCDIR)
inputstr = SetCxIncludes(inputstr, atk2_sc1_rel_includes, INCLUDES, SRCDIR)
inputstr = SetPythonFileRelativePath(inputstr, atk2_sc1_post_python_files, SRCDIR)
WriteFile('atk2-sc1.mtpj', inputstr)

#
# Update ./cfg/cfg.mtpj
#
inputstr = ReadFile('./cfg/cfg.mtsp')
inputstr = SetTargetFileRelativePath(inputstr, app_files, SRCDIR + "../")
inputstr = SetCxIncludes(inputstr, cfg_rel_includes, INCLUDES, SRCDIR + "../")
inputstr = SetPythonFileRelativePath(inputstr, cfg_pre_python_files, SRCDIR + "../")
inputstr = SetPythonFileRelativePath(inputstr, cfg_post_python_files, SRCDIR + "../")
WriteFile('./cfg/cfg.mtsp', inputstr)


#
# make cx include path for kernel
#
inputstr = ReadFile('./kernel/kernel.mtsp')
inputstr = SetTargetFileRelativePath(inputstr, kernel_files, SRCDIR + "../")
inputstr = SetCxIncludes(inputstr, kernel_rel_includes, INCLUDES, SRCDIR + "../")
WriteFile('./kernel/kernel.mtsp', inputstr)
