; 
;  TOPPERS ATK2
;      Toyohashi Open Platform for Embedded Real-Time Systems
;      Automotive Kernel Version 2
;  
;   Copyright (C) 2012-2013 by Embedded and Real-Time Systems Laboratory
;               Graduate School of Information Science, Nagoya Univ., JAPAN
;   Copyright (C) 2013 by Witz Corporation, JAPAN
;  
;  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
;  ܥեȥѤΤޤࡥʲƱˤѡʣ
;  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
;  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
;      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
;      ˴ޤޤƤ뤳ȡ
;  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
;      ѤǤǺۤˤϡۤȼɥȡ
;      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
;      ̵ݾڵǺܤ뤳ȡ
;  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
;      ѤǤʤǺۤˤϡΤ줫ξ
;      ȡ
;    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
;        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
;    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
;        𤹤뤳ȡ
;  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
;      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
;      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
;      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
;      դ뤳ȡ
;
;  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
;  TOPPERSץȤϡܥեȥ˴ؤơλŪ
;  ФŬޤơʤݾڤԤʤޤܥեȥ
;  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
;  Ǥʤ  
;
;  $Id: start.asm 7945 2013-10-04 10:51:00Z honda $  
;

$include (v850asm.inc)

# *****************************************************************************
# CXͽ󥷥ܥγ٥(tpgpep)
# *****************************************************************************
	.extern __tp_TEXT, 4
	.extern __gp_DATA, 4
	.extern __ep_DATA, 4

# *****************************************************************************
# CXͽ󥷥ܥγ٥(bss°)
# *****************************************************************************
	.extern __ssbss, 4
	.extern __esbss, 4
	.extern __sbss, 4
	.extern __ebss, 4
	.extern __ssebss, 4
	.extern __esebss, 4

	.extern ___PROLOG_TABLE

# *****************************************************************************
# ؿγ٥
# *****************************************************************************
	.extern _main
	.extern	_hardware_init_hook
	.extern	_software_init_hook
	.extern	__start
	.extern	__ostkpt

# *****************************************************************************
#	dummy data declaration for creating *bss section
# *****************************************************************************
	.dseg	sbss
	.ds(0)
#	.dseg	sebss
#	.ds(0)
#	.dseg	tibss.byte
#	.ds(0)
#	.dseg	tibss.word
#	.ds(0)
#	.dseg	tibss
#	.ds(0)
#	.dseg	sibss
#	.ds(0)


# *****************************************************************************
# å
# *****************************************************************************
	STACKSIZE .set 0x1000
	.public __stack_top
	.dseg bss
	.align 4
__stack:
	.ds (STACKSIZE)
__stack_top:
	.cseg text
	mov #__stack + STACKSIZE, sp

	.cseg TEXT

# *****************************************************************************
# ȥåץ롼
# *****************************************************************************
__start:
	#ޥ֥ߤζػ
	di

# *****************************************************************************
# Ƽݥ󥿤ν(TP/GP/SP/EP)
# *****************************************************************************
	mov    #__tp_TEXT, tp
	mov    #__gp_DATA, gp
	add    tp, gp
	mov    #__ep_DATA, ep

	Lea		__ostkpt, sp	; ƥॹåγϥɥ쥹SP
	ld.w	0[sp], sp

# *****************************************************************************
# hardware_init_hook θƽФ
# *****************************************************************************
	mov	_hardware_init_hook, r12
	cmp	r0, r12
	be	hardware_init_hook_end
	jarl	_hardware_init_hook, lp
hardware_init_hook_end:

# *****************************************************************************
# sbssΰΥꥢ
# *****************************************************************************
	mov    #__ssbss, r13    
	mov    #__esbss, r12
	cmp    r12, r13
	jnl    .L11
.L12:
	st.w    r0, [r13]
	add    4, r13
	cmp    r12, r13
	jl    .L12
.L11:

# *****************************************************************************
# bssΰΥꥢ
# *****************************************************************************
	mov    #__sbss, r13        
	mov    #__ebss, r12
	cmp    r12, r13
	jnl    .L14
.L15:
	st.w    r0, [r13]
	add    4, r13
	cmp    r12, r13
	jl    .L15
.L14:

# *****************************************************************************
# sebssΰΥꥢ
# *****************************************************************************
# ǤsebssѤƤ餺,ܥ뼫Τ¸ߤʤ
#	mov #__ssebss, r13
#	mov #__esebss, r12
#	cmp r12, r13
#	jnl .L17
#.L18:
#	st.w r0, [r13]
#	add 4, r13
#	cmp r12, r13
#	jl .L18
#.L17:

# *****************************************************************************
# ؿΥץԥ󥿥ࡦ饤֥
# *****************************************************************************
	mov     #___PROLOG_TABLE, r12  
	ldsr    r12, 20

# *****************************************************************************
# ROMǡΥԡ
# *****************************************************************************
	mov32    #__S_romp, r6        ;  copy romized data
	mov    -1, r7
	jarl    __rcopy, lp

# *****************************************************************************
#  software_init_hook ƽФ
# *****************************************************************************
	mov	_software_init_hook, r12
	cmp	r0, r12
	be	software_init_hook_end
	jarl	_software_init_hook, lp
software_init_hook_end:

# *****************************************************************************
# mainؿʬ
# *****************************************************************************
 	jarl    _target_hardware_initialize, lp
	jarl    _main, lp

# *****************************************************************************
# mainäƤν
# *****************************************************************************
__exit:
	halt    
__startend:

